Subject: elpa.gnu.org Unacsesable with Emacs 25.1 on Windows Server 2019

From: "Eugene J." <[email-masked]>
Date: Wed, 2 Sep 2020 09:00:23 +0300

Seems like the bundle from https://ftp.gnu.org/gnu/emacs/windows/emacs-25/
has a SSL problem https://github.com/jcs090218/setup-emacs-windows/issues/9

I think jcs090218  (setup-emacs-windows owner) is right in that the issue,
shouldn't be patched in CI if it can be fixed in the release. Or maybe the
problem is in Windows configs and I should ask GitHub dudes to add
something to the Windows test runner install. I'm confused D: